GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Private Member Functions | List of all members
PyDynamicNetworkSolverStrategy Class Referencefinal

`#include <py_solver.h>`

Inheritance diagram for PyDynamicNetworkSolverStrategy:

## Private Member Functions
| PyDynamicNetworkSolverStrategy (gridfire::DynamicEngine &engine)
gridfire::NetOut | evaluate (const gridfire::NetIn &netIn) override
| Evaluates the network for a given timestep.

## Additional Inherited Members
Public Member Functions inherited from gridfire::solver::NetworkSolverStrategy< DynamicEngine >
| NetworkSolverStrategy (DynamicEngine &engine)
| Constructor for the NetworkSolverStrategy.
virtual | ~NetworkSolverStrategy ()=default
| Virtual destructor.
| NetworkSolverStrategy (DynamicEngine &engine)
| Constructor for the NetworkSolverStrategy.
virtual | ~NetworkSolverStrategy ()=default
| Virtual destructor.
Protected Attributes inherited from gridfire::solver::NetworkSolverStrategy< DynamicEngine >
DynamicEngine & | m_engine
| The engine used by this solver strategy.
DynamicEngine & | m_engine
| The engine used by this solver strategy.

## Detailed Description

Definition at line 7 of file py_solver.h.

## Constructor & Destructor Documentation

## ◆ PyDynamicNetworkSolverStrategy()

PyDynamicNetworkSolverStrategy::PyDynamicNetworkSolverStrategy | ( | gridfire::DynamicEngine & | engine | ) |
| inline explicit private

Definition at line 8 of file py_solver.h.

## Member Function Documentation

## ◆ evaluate()

gridfire::NetOut PyDynamicNetworkSolverStrategy::evaluate | ( | const gridfire::NetIn & | netIn | ) |
| override private virtual

Evaluates the network for a given timestep.

Parameters

  netIn | The input conditions for the network.

Returns
  The output conditions after the timestep.

Implements gridfire::solver::NetworkSolverStrategy< DynamicEngine >.

Definition at line 14 of file py_solver.cpp.

The documentation for this class was generated from the following files:

- src/python/solver/trampoline/py_solver.h
- src/python/solver/trampoline/py_solver.cpp